package com.ruoyi.basicData.mapper;

import com.ruoyi.basicData.domain.TFees;
import com.ruoyi.basicData.domain.TGoods;
import com.ruoyi.finance.domain.TFee;
import io.lettuce.core.dynamic.annotation.Param;

import java.util.List;

/**
 * 费用信息Mapper接口
 *
 * @author ruoyi
 * @date 2020-12-11
 */
public interface TFeesMapper {
    /**
     * 查询费用信息
     *
     * @param fId 费用信息ID
     * @return 费用信息
     */
    public TFees selectTFeesById(Long fId);

    /**
     * 查询费用信息列表
     *
     * @param tFees 费用信息
     * @return 费用信息集合
     */
    public List<TFees> selectTFeesList(TFees tFees);

    /**
     * 新增费用信息
     *
     * @param tFees 费用信息
     * @return 结果
     */
    public int insertTFees(TFees tFees);

    /**
     * 修改费用信息
     *
     * @param tFees 费用信息
     * @return 结果
     */
    public int updateTFees(TFees tFees);

    /**
     * 删除费用信息
     *
     * @param fId 费用信息ID
     * @return 结果
     */
    public int deleteTFeesById(Long fId);

    /**
     * 批量删除费用信息
     *
     * @param fIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteTFeesByIds(Long[] fIds);

    /**
     *  检验编号唯一
     * @param fNo
     * @return
     */
    public TFees checkFNoUnique(String fNo);

    /**
     *  检验名称
     * @param fNname
     * @return
     */
    public TFees checkUFNnameUnique(String fNname);

    /**
     *  查询 是否允许修改
     * @param tFees    条件
     * @return  结果
     */
    String selectTFeesModify(TFees tFees);

    /**
     *  根据费用名查询数据
     * @param fName
     * @return
     */
    public TFees selectTFeesByFName(String fName);

    // 根据查询仓储费费用信息
    public TFees seletFeesByCCF();
}
